###
# Generic template that provides the ``ci-fairy`` commandline tool, ``pip``
# and ``git``. This template is provided for convenience, it is not based on
# .
#
# The ``ci-fairy`` capable image guarantees the following available packages:
# - git
# - python
# - pip
#
# This template sets ``image:`` to the ``ci-fairy`` capable image.
#
# **Example:**
#
# .. code-block:: yaml
#
#     check-merge-request:
#       extends: .fdo.ci-fairy
#       script:
#         - ci-fairy check-merge-request --require-allow-collaboration
#
# **Variables:**
#
# .. attribute:: FDO_DISTRIBUTION_IMAGE
#
#       **This variable is set by this template and should be treated as read-only**
#
#       Path to the registry image
#
#
# Variables provided by this template should be considered read-only.
#
.fdo.ci-fairy:
  image: quay.io/freedesktop.org/ci-templates:ci-fairy-sha256-a1ded0f2a2cf99e1e831f8351451439da1d926bde2f0b1a945fdbd87716a3cc7
  variables:
    FDO_DISTRIBUTION_IMAGE: quay.io/freedesktop.org/ci-templates:ci-fairy-sha256-a1ded0f2a2cf99e1e831f8351451439da1d926bde2f0b1a945fdbd87716a3cc7
